Skip to main content
POST
Create upload

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

Body

application/json
path
string

Project-relative path where the upload is stored.

file_path
string

Another spelling of path. Send one of the two.

content_type
string

MIME type of the file

size_bytes
integer

File size in bytes (required for quota tracking).

Required range: x <= 9007199254740991
size
integer

Another spelling of size_bytes. Send one of the two.

Required range: x <= 9007199254740991

Response

Signed upload URL created.

upload_url
string
required

Temporary cloud-storage URL for the upload PUT request.

path
string
required

Project-relative path of the upload.

status
enum<string>
required

Always pending until the bytes are stored.

Available options:
pending
file_upload_url
string
required

The same URL as upload_url.

file_path
string
required

Storage path of the upload, with the project ID prefix.

upload_id
string
required

UUID of the pending upload record.

required_headers
object
required

Headers that must be included in the PUT request to the upload URL

Example: